<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_5fde92609" . "a43c916046" . "2278aec060" . "406" => base64_decode("Y29tbW9uLnVua" . "25vd24="), "_7ee25317ffedb4fe27bf0b50364" . "69b94" => base64_decode("Y29tbW9uLnR5cGUuZ" . "m9sZGVy"), "_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG1zZw=" . "="), "_9410d17" . "985408ab" . "6a2962e6" . "fdb621c5" . "e" => base64_decode("ZG9jdW1lbnRzLm5hbWVwYXR0ZXJudGFn" . "LnZlcg=="), "_eb56828483919e173c6ab" . "772a8fa7d6d" => base64_decode("Y29tbW9uLnR5cGUuZG9jdW1" . "lbnQ="), "_86e12158655092a9838a83" . "7f6cf6d639" => base64_decode("Li4vY29tbW" . "9uL2VybXNf" . "cGtnLnBocA" . "=="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_86e12158655092a9" . "838a837f6cf6d639"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_86e12158655092a9838a837f6cf6d63" . "9"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0c5123aa744f6" . "9bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_7ee25317ffedb4fe27bf0b5" . "036469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_eb56828" . "483919e1" . "73c6ab77" . "2a8fa7d6" . "d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8b" . "3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_9410d17985408ab6a2962e6" . "fdb621c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_0c5123aa744f69bbc0" . "e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_5fde92609a" . "43c91604622" . "78aec060406"]);
    }
}